import { WebGridBaseDirectiveDescription } from "./WebGridBaseDirectiveDescription";
import { WebTreeGridRecordDescription } from "./WebTreeGridRecordDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class WebTreeGridDescription extends WebGridBaseDirectiveDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private hn;
    get childDataKey(): string;
    set childDataKey(a: string);
    private hp;
    get foreignKey(): string;
    set foreignKey(a: string);
    private hq;
    get hasChildrenKey(): string;
    set hasChildrenKey(a: string);
    private hh;
    get cascadeOnDelete(): boolean;
    set cascadeOnDelete(a: boolean);
    private hr;
    get id(): string;
    set id(a: string);
    private he;
    get rootRecords(): WebTreeGridRecordDescription[];
    set rootRecords(a: WebTreeGridRecordDescription[]);
    private hd;
    get processedRootRecords(): WebTreeGridRecordDescription[];
    set processedRootRecords(a: WebTreeGridRecordDescription[]);
    private ho;
    get dataRef(): string;
    set dataRef(a: string);
    private hl;
    get filteredData(): any;
    set filteredData(a: any);
    private hj;
    get expansionDepth(): number;
    set expansionDepth(a: number);
    private hs;
    get rowLoadingIndicatorTemplateRef(): string;
    set rowLoadingIndicatorTemplateRef(a: string);
}
